EnKash Developer Portal
Home
Home
Login
  1. UPI QR
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
      POST
    • Get UPI QR
      GET
    • Search UPI QR
      POST
    • Create Customer
      POST
    • Search Customer
      POST
    • Cancel UPI QR
      PATCH
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Webhook Request
    • Get Payment Link Details
    • Delete Payment Link
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. UPI QR

Search Customer

POST
/api/v0/customer/search
šŸ“Œ
Use this API to retrieve a list of customers based on filters such as name, email, phone number, or creation date. This helps you quickly find and manage customer profiles in your EnKash system.

Request

Query Params

Body Params application/json

Example
{
    "accountNumber": "string",
    "assignedAgent": "string",
    "balanceAmount": 0,
    "companyId": "string",
    "contactNumber": "string",
    "createdByName": "string",
    "createdOnFrom": "2019-08-24T14:15:22.123Z",
    "createdOnTo": "2019-08-24T14:15:22.123Z",
    "customerIds": [
        "string"
    ],
    "customerStatus": "ACTIVE",
    "dsoFrom": 0,
    "dsoTo": 0,
    "ifsc": "string",
    "legalName": "string",
    "level": "LEVEL_1",
    "modifiedByName": "string",
    "modifiedOn": "2019-08-24T14:15:22.123Z",
    "panOrGstin": "string",
    "parentCompanyId": "string",
    "selectAll": true,
    "uniqueRefNo": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/customer/search?direction=undefined&limit=undefined&offset=undefined&orderBy=undefined' \
--header 'Content-Type: application/json' \
--data '{
    "accountNumber": "string",
    "assignedAgent": "string",
    "balanceAmount": 0,
    "companyId": "string",
    "contactNumber": "string",
    "createdByName": "string",
    "createdOnFrom": "2019-08-24T14:15:22.123Z",
    "createdOnTo": "2019-08-24T14:15:22.123Z",
    "customerIds": [
        "string"
    ],
    "customerStatus": "ACTIVE",
    "dsoFrom": 0,
    "dsoTo": 0,
    "ifsc": "string",
    "legalName": "string",
    "level": "LEVEL_1",
    "modifiedByName": "string",
    "modifiedOn": "2019-08-24T14:15:22.123Z",
    "panOrGstin": "string",
    "parentCompanyId": "string",
    "selectAll": true,
    "uniqueRefNo": "string"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "errorResponse": {
        "apiSubErrors": [
            {}
        ],
        "errorMessage": "string",
        "errorType": "CLIENT_REQUEST_ABORT",
        "requestId": "string",
        "timestamp": "yyyy-MM-dd HH:mm:ss"
    },
    "payload": {
        "data": [
            {
                "accountNumber": "string",
                "active": true,
                "address": "string",
                "assignedAgent": "string",
                "bankName": "string",
                "branchCodes": [
                    "string"
                ],
                "companyId": "string",
                "contactEmail": "string",
                "contactNumber": "string",
                "createdBy": "string",
                "createdByName": "string",
                "createdOn": "2019-08-24T14:15:22.123Z",
                "customerId": "string",
                "customerKeyContacts": [
                    {
                        "createdBy": "string",
                        "createdOn": "2019-08-24T14:15:22.123Z",
                        "customerId": "string",
                        "customerName": "string",
                        "deleted": "string",
                        "email": "string",
                        "keyContactPersonId": "string",
                        "mail_enabled": true,
                        "mobile": "string",
                        "modifiedBy": "string",
                        "modifiedOn": "2019-08-24T14:15:22.123Z",
                        "name": "string",
                        "sms_enabled": true,
                        "whatsapp_enabled": true
                    }
                ],
                "customerLogo": "string",
                "customerReminders": [
                    {
                        "customerId": "string",
                        "customerReminderId": "string",
                        "dueDateDifference": 0,
                        "reminderInterval": 0,
                        "reminderTime": "HH:mm",
                        "reminderType": "ONCE",
                        "stage": "string"
                    }
                ],
                "dsoMedian": 0,
                "id": 0,
                "ifsc": "string",
                "legalName": "string",
                "modifiedBy": "string",
                "modifiedByName": "string",
                "modifiedOn": "2019-08-24T14:15:22.123Z",
                "netAmount": 0,
                "panOrGstin": "string",
                "parentCompanyId": "string",
                "parentLegalName": "string",
                "pinCode": "string",
                "state": "string",
                "uniqueRefNo": "string",
                "warnings": [
                    "string"
                ]
            }
        ],
        "recordsCount": 0
    },
    "response_code": 0,
    "response_message": "string"
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠422Unprocessable Request
šŸ”“500Server Error
Modified atĀ 2025-07-05 12:21:56
Previous
Create Customer
Next
Cancel UPI QR
Built with